/*
 * @Description: 排名
 * @Author: chenzhiwei (725551805@qq.com)
 * @Date: 2021-08-02 16:09:41
 * @LastEditors: czw (725551805@qq.com)
 * @LastEditTime: 2022-03-03 22:17:09
 * @FilePath: /glxt/src/api/rankingData.js
 */

import http from "@/util/http.js";
// export function rankingData(data) {
//   // 传递参数
//   return http({
//     url: "newh5app/api/mobile/v1/music/rank/16/",
//     method: "get",
//     params: data // 传递参数
//   });
// }

export function postadd(params) {
  // 传递id
  return http({
    url: "/api/admin/auth/login", // 传递id
    method: "post",
    params: params,
  });
}

// 列表
export function store_list(params) {
  return http({
    url: "/api/admin/shopGroups",
    method: "get",
    params: params,
  });
}

export function storeDetail(params) {
  return http({
    url: "/storess/show",
    method: "get",
    params: params,
  });
}
// 鲜花项目接口从这里开始
// 商品种类列表
export function goods_types(data) {
  return http({
    url: "/api/goods_types",
    method: "get",
    data,
  });
}
// 商品种类列表删除
export function Delgoods_types(id) {
  return http({
    url: `/api/goods_types/${id}`,
    method: "delete",
  });
}
// 新增种类
export function Addgoods_types(data) {
  return http({
    url: "/api/goods_types/",
    method: "post",
    data,
  });
}
// 编辑种类
export function editGoods_types(id, data) {
  return http({
    url: `/api/goods_types/${id}`,
    method: "patch",
    data,
  });
}
// 商品品牌列表
export function Brand_goods_types(data) {
  return http({
    url: "/api/goods_brands",
    method: "get",
    data,
  });
}
// 商品品牌列表删除
export function DelBrand_goods_types(id) {
  return http({
    url: `/api/goods_brands/${id}`,
    method: "delete",
  });
}
// 新增品牌
export function AddBrandgoods_types(data) {
  return http({
    url: "/api/goods_brands",
    method: "post",
    data,
  });
}
// 编辑品牌
export function editBrand_types(id, data) {
  return http({
    url: `/api/goods_brands/${id}`,
    method: "patch",
    data,
  });
}
